PipeWire: Factory Impl

PipeWire 1.6.5

Loading...
Searching...
No Matches
Factory Impl
Implementation API

The factory is used to make objects on demand. More...

## Files
file | impl-factory.h
| pipewire/impl-factory.h

## Data Structures
struct | pw_impl_factory_events
| Factory events, listen to them with pw_impl_factory_add_listener. More...
struct | pw_impl_factory_implementation
struct | pw_impl_factory

## Macros
#define | PW_VERSION_IMPL_FACTORY_EVENTS 0
#define | PW_VERSION_IMPL_FACTORY_IMPLEMENTATION 0

## Functions
struct pw_impl_factory * | pw_context_create_factory (struct pw_context *context, const char *name, const char *type, uint32_t version, struct pw_properties *properties, size_t user_data_size)
const struct pw_properties * | pw_impl_factory_get_properties (struct pw_impl_factory *factory)
| Get the factory properties.
const struct pw_factory_info * | pw_impl_factory_get_info (struct pw_impl_factory *factory)
| Get the factory info.
int | pw_impl_factory_update_properties (struct pw_impl_factory *factory, const struct spa_dict *dict)
| Update the factory properties.
int | pw_impl_factory_register (struct pw_impl_factory *factory, struct pw_properties *properties)
void | pw_impl_factory_destroy (struct pw_impl_factory *factory)
void * | pw_impl_factory_get_user_data (struct pw_impl_factory *factory)
struct pw_global * | pw_impl_factory_get_global (struct pw_impl_factory *factory)
| Get the global of this factory.
void | pw_impl_factory_add_listener (struct pw_impl_factory *factory, struct spa_hook *listener, const struct pw_impl_factory_events *events, void *data)
| Add an event listener.
void | pw_impl_factory_set_implementation (struct pw_impl_factory *factory, const struct pw_impl_factory_implementation *implementation, void *data)
void * | pw_impl_factory_create_object (struct pw_impl_factory *factory, struct pw_resource *resource, const char *type, uint32_t version, struct pw_properties *properties, uint32_t new_id)
struct pw_impl_factory * | pw_context_find_factory (struct pw_context *context, const char *name)
| Find a factory by name.

## Detailed Description

The factory is used to make objects on demand.

## Macro Definition Documentation

## ◆ PW_VERSION_IMPL_FACTORY_EVENTS

#define PW_VERSION_IMPL_FACTORY_EVENTS 0

## ◆ PW_VERSION_IMPL_FACTORY_IMPLEMENTATION

#define PW_VERSION_IMPL_FACTORY_IMPLEMENTATION 0

## Function Documentation

## ◆ pw_context_create_factory()

struct pw_impl_factory * pw_context_create_factory | ( | struct pw_context * | context,
|  | const char * | name,
|  | const char * | type,
|  | uint32_t | version,
|  | struct pw_properties * | properties,
|  | size_t | user_data_size )

## ◆ pw_impl_factory_get_properties()

const struct pw_properties * pw_impl_factory_get_properties | ( | struct pw_impl_factory * | factory | ) |

Get the factory properties.

## ◆ pw_impl_factory_get_info()

const struct pw_factory_info * pw_impl_factory_get_info | ( | struct pw_impl_factory * | factory | ) |

Get the factory info.

## ◆ pw_impl_factory_update_properties()

int pw_impl_factory_update_properties | ( | struct pw_impl_factory * | factory,
|  | const struct spa_dict * | dict )

Update the factory properties.

## ◆ pw_impl_factory_register()

int pw_impl_factory_register | ( | struct pw_impl_factory * | factory,
|  | struct pw_properties * | properties )

## ◆ pw_impl_factory_destroy()

void pw_impl_factory_destroy | ( | struct pw_impl_factory * | factory | ) |

## ◆ pw_impl_factory_get_user_data()

void * pw_impl_factory_get_user_data | ( | struct pw_impl_factory * | factory | ) |

## ◆ pw_impl_factory_get_global()

struct pw_global * pw_impl_factory_get_global | ( | struct pw_impl_factory * | factory | ) |

Get the global of this factory.

## ◆ pw_impl_factory_add_listener()

void pw_impl_factory_add_listener | ( | struct pw_impl_factory * | factory,
|  | struct spa_hook * | listener,
|  | const struct pw_impl_factory_events * | events,
|  | void * | data )

Add an event listener.

## ◆ pw_impl_factory_set_implementation()

void pw_impl_factory_set_implementation | ( | struct pw_impl_factory * | factory,
|  | const struct pw_impl_factory_implementation * | implementation,
|  | void * | data )

## ◆ pw_impl_factory_create_object()

void * pw_impl_factory_create_object | ( | struct pw_impl_factory * | factory,
|  | struct pw_resource * | resource,
|  | const char * | type,
|  | uint32_t | version,
|  | struct pw_properties * | properties,
|  | uint32_t | new_id )

Examples
  export-spa-device.c.

## ◆ pw_context_find_factory()

struct pw_impl_factory * pw_context_find_factory | ( | struct pw_context * | context,
|  | const char * | name )

Find a factory by name.

Parameters

  context | the context object
  name | the name of the factory to find

Find in the list of factories registered in context for one with the given name.

Parameters

  context | the context
  name | the factory name

Examples
  export-spa-device.c.